contexts
Add Context History Item
POST
/
api
/
v1
/
contexts
/
{context_id}
/
history
Add Context History Item
curl --request POST \
--url https://api.example.com/api/v1/contexts/{context_id}/history \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"artifactId": "<string>",
"parts": [
{
"text": "<string>",
"kind": "text",
"metadata": {}
}
],
"description": "<string>",
"extensions": [
"<string>"
],
"metadata": {},
"name": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/contexts/{context_id}/history"
payload = {
"artifactId": "<string>",
"parts": [
{
"text": "<string>",
"kind": "text",
"metadata": {}
}
],
"description": "<string>",
"extensions": ["<string>"],
"metadata": {},
"name": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
artifactId: '<string>',
parts: [{text: '<string>', kind: 'text', metadata: {}}],
description: '<string>',
extensions: ['<string>'],
metadata: {},
name: '<string>'
})
};
fetch('https://api.example.com/api/v1/contexts/{context_id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
HTTPBasicHTTPBearer
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Body
application/json
- Artifact
- Message
Represents a file, data structure, or other resource generated by an agent during a task.
Represents a text segment within a message or artifact.
- TextPart
- FilePart
- DataPart
Show child attributes
Show child attributes
Response
Successful Response
⌘I
Add Context History Item
